# User-Defined Macros:
# %%define <name> <expansion>
%define Name		wmix
%define Version		3.0
%define Release		4


Summary: Dockapp sound mixer for OSS or ALSA
Name: %{Name}
Version: %{Version}
Release: %{Release}
Copyright: GPL2
Group: User Interface/X
URL: http://www.ne.jp/asahi/linux/timecop/software
Source0: http://www.ne.jp/asahi/linux/timecop/software/%{Name}-%{Version}.tar.gz
Patch0: wmix-tidyup.patch

BuildRoot: %{_tmppath}/%{Name}-%{Version}-%{Release}-root


%description
Dockapp mixer for OSS or ALSA. Allows toggling record source, muting
individual channels, adjusting volume and balance, all in a compact
dockapp size, with TV-like on-screen-display for volume levels.
Supports mousewheel to adjust current channel volume, and can be
controlled remotely with SIGUSR1 / SIGUSR2 to adjust the volume, too.
Can use a configuration file to control some of the features. 


%prep
%setup
%patch0 -p1


%build
make 


%install

for i in \
  %{_bindir} \
; do
  mkdir -p "${RPM_BUILD_ROOT}${i}"
done

make DESTDIR="${RPM_BUILD_ROOT}" install

mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man1
cp wmix.1x.gz ${RPM_BUILD_ROOT}/usr/share/man/man1


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%attr(-   ,root,root) %doc COPYING INSTALL README NEWS AUTHORS BUGS sample.wmixrc
%attr(0755,root,root) %{_bindir}/wmix
%attr(0644,root,root) %{_mandir}/*/*

%changelog

* Thu Aug 29 2002 Philip Copeland <bryce@redhat.com>
- RPM spec file summary was for a clock, not for
  a sound mixer. Fixed summary #72930

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun  6 2002 Tim Powers <timp@redhat.com>
- bump release number and rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 14 2002 Philip Copeland <bryce@redhat.com>
- Tweaked for the RHAT build system
